Last Comment Bug 276943 - [FIX] I want to open ONLY composer
: [FIX] I want to open ONLY composer
Status: RESOLVED FIXED
: helpwanted
Product: SeaMonkey
Classification: Client Software
Component: Installer (show other bugs)
: unspecified
: x86 All
: -- normal (vote)
: mozilla1.8beta1
Assigned To: Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg]
: Henrik Gemal
Mentors:
Depends on: 272144
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-03 17:49 PST by arinkleff
Modified: 2005-02-14 11:50 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Package the JS commandline handler (2.26 KB, patch)
2005-01-30 16:19 PST, Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg]
timeless: review+
Details | Diff | Splinter Review

Description arinkleff 2005-01-03 17:49:34 PST
I want to use composer without opening mozilla -- I do not like having the same
document open twice, its annoying to have to close it twice.
Comment 1 Stefan Borggraefe 2005-01-03 18:01:55 PST
You can either use the -editor command line switch or use the option in the
Appearance pane of the Preferences dialog. Marking WORKSFORME.

Please read http://www.mozilla.org/quality/bug-writing-guidelines.html
Comment 2 arinkleff 2005-01-03 18:16:33 PST
command line switch??????????? The option in the appearance pane doesn't work --
i have it set to only open composer, but it opens mozilla anyways (and doesn't
open composer).  
Comment 3 Mats Palmgren (vacation) 2005-01-03 23:43:27 PST
Confirming bug, 2005-01-02-06 trunk Linux.
"mozilla -editor" opens a Navigator window.
Appearance pref. "Composer"  => Navigator window (only)
Appearance pref. "Composer+Navigator" => Navigator window (only)
Comment 4 Stefan Borggraefe 2005-01-04 00:18:29 PST
(In reply to comment #3)
> Confirming bug, 2005-01-02-06 trunk Linux.
> "mozilla -editor" opens a Navigator window.
> Appearance pref. "Composer"  => Navigator window (only)
> Appearance pref. "Composer+Navigator" => Navigator window (only)

All these things WFM with the exact same build, with the latest gtk2 nightly
2005010311 and with my self-compiled gtk2 build from yesterday.

Please make sure you don't add a -P command line switch when testing this,
because then you run into Bug 58523.
Comment 5 Mats Palmgren (vacation) 2005-01-04 01:28:15 PST
I did not use -P when testing.
I can confirm that the 2005-01-03-11 gtk2+xft nightly is working fine.
I retested 2005-01-02-06 with a completely empty HOME, e.g:

mkdir /tmp/bla
HOME=/tmp/bla /usr/local/mozilla/mozilla -editor

still does not work.
Now, here's the funny thing - if I install 2005-01-02-06 from the
"mozilla-i686-pc-linux-gnu.tar.gz" and retry the above it does work!
However, an installation (complete) from the
"mozilla-i686-pc-linux-gnu-full-installer.tar.gz"
(into an empty directory) does not work.

-> Installer (for further triage)
Comment 6 Andrew Schultz 2005-01-04 09:06:24 PST
this regressed between linux trunk 2004102906 and 2004103005, which is the
landing of bug 237745. But I don't know/why how that would single out the
intsaller build.
Comment 7 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2005-01-04 09:12:04 PST
I do. The composer command line handler was turned into a JS component, and that
needs to be packaged in the installer manifests.
Comment 8 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2005-01-30 16:19:03 PST
Created attachment 172917 [details] [diff] [review]
Package the JS commandline handler
Comment 9 neil@parkwaycc.co.uk 2005-01-30 16:31:54 PST
Comment on attachment 172917 [details] [diff] [review]
Package the JS commandline handler

Sorry, this is way out of my area. I don't even know if the package lists
should be grouped in any way (list the .js file near composer.dll perhaps?)
Comment 10 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2005-02-07 05:22:54 PST
Fixed on trunk.

Note You need to log in before you can comment on or make changes to this bug.